Subject: Re: [manet] Question regarding Mobility

From: "Tao Lin" <[email-masked]>
Date: Tue, 25 Nov 2003 12:19:51 -0500

Glad to see the increasing interests in mobility models.  Random waypoint
model is not a good model from simulation theory point of view since some
statistical features may not reach steady state easily.

Here are two papers discussing the statistical features in some mobility
models.  I think the random-walk billiards model and the torus model
(wrap-around model) are both discussed in the first one.

1. C. Bettstetter, "Mobility Modeling in Wireless Networks: Categorization,
Smooth
Movement, and Border Effects," ACM Mobile Computing and Communications
Review,
Vol. 5, No. 3, pp. 55-67, July 2001.

2. C. Bettstetter and C. Wagner. "The Spatial Node Distribution of the
Random WaypointMobilityModel"
In Proc. of the 1st GermanWorkshop on Mobile Ad-Hoc Networks,
Ulm, Germany, GI Lecture Notes in Informatics, No. P-11, pp. 41-58, March
2002.

Thanks,

 Tao Lin
 Ph.D. Candidate
 ECE Department
 Virginia Tech

----- Original Message ----- 
From: "Richard Ogier" <[email-masked]>
To: "Philippe Jacquet" <[email-masked]>
Cc: "MANET" <[email-masked]>
Sent: Tuesday, November 25, 2003 12:02 PM
Subject: Re: [manet] Question regarding Mobility

> Philippe,
>
> Thanks for computing the formula for the probability density of node
> position
> for random waypoint. I also started to compute the formula for 2
> dimensions,
> but quit when I saw how complicated it is. In actual simulations, to
> start out
> with the steady state density, it might be easiest to just generate two
> random
> points in the square and then choose a random point uniformly
> distributed on the
> line connecting the two points.
>
> Someone asked me about a proof that the random-walk billiards model
results
> in uniformly distributed node positions.  (This is the model in which a
node
> moves in a random direction for T seconds, bouncing off boundaries
> like a billiards ball, and choosing a new random direction after T
seconds.)
> I think this is fairly intuitive, by considering what happens if the
> node instead
> goes straight through the boundary into an equivalent region adjacent to
> the original region.  But is this result well known?   Can anyone point
> to a reference for this?
>
> Richard
>
>
>
> Philippe Jacquet wrote:
>
> >Richard,
> >
> >My mistake, you are right. I was considering the case where the node
reaches
> >its way point in a constant time. With a constant speed, zero pause time,
> >the density is your result: C (1-x)*x in dimension one. To be forgiven I
> >tried to compute the formula for the density in two dimensions. Not
really
> >fun. For x>y and (1-x)>y it should be proportional to j(x,y)+j(1-x,y)
with a
> >normalizing factor, with
> >j(x,y)=(1-x)*y*(2+log(x/y)-log((1-x)/(1-y))).
> >
> >For the other cases for (x,y) one makes use of symmetries and finally:
> >density(x,y)=C*(j(max(x,y),min(x,y))+j(max(1-x,y),min(1-x,y)))
> >
> >I made the integration over all angle of the product of the two distances
of
> >the point (x,y) to the border of the square within a given angle. I used
> >Maple. It needs to be cross checked.
> >.
> >
> >The plot looks like a very eroded pyramid: null density on the border and
> >top on the square center. The result should be the same when the speed is
> >randomly selected on finite distribution.
> >
> >Best regards,
> >Philipe
> >
> >----- Original Message -----
> >From: Richard Ogier <[email-masked]>
> >To: Philippe Jacquet <[email-masked]>
> >Cc: MANET <[email-masked]>
> >Sent: Friday, November 21, 2003 5:37 PM
> >Subject: Re: [manet] Question regarding Mobility
> >
> >
> >>Philippe Jacquet wrote:
> >>
> >>>Yes, Peter, the distribution changes if you introduce mobility and it
> >>>depends on the mobility model. Take the random way point model where
each
> >>>node has a distinct a random destination point selected uniformly in a
> >>>square, and each node moves to this destination at constant speed. In
> >>>
> >this
> >
> >>>case, the stationary density at point (x,y) (assuming a 1x1 square) is
> >>>*( x* log x+(1-x)*log(1-x))*(y*log y +(1-y)*log(1-y)) which differs
from
> >>>uniform density (which is equal to 1 at any point in the 1x1 square).
> >>>
> >>>Philippe
> >>>
> >>Philippe,
> >>
> >>Your result implies that you can consider the x and y directions
> >>independently. I don't think this is the case, because the speed
> >>in the x direction depends on the (x,y) direction of movement.
> >>I did some calculations, and I think your result assumes that
> >>the time to go from one random point to the next random point
> >>is constant (thus, if the distance between the 2 points is
> >>greater, the speed must be greater).
> >>
> >>Just for fun I tried to derive the steady state distribution in one
> >>dimension for a unit interval [0,1] and got the following result
> >>(assuming constant speed and zero pause time):
> >>
> >>   C * x*(1-x)   (C is a normalization constant)
> >>
> >>The x*(1-x) term is simply the probability that the point x
> >>lies between two random numbers uniformly distributed in [0,1].
> >>I ran a simulation on the unit interval [0,1] which confirms this
result.
> >>In particular, the probability that the node is near x = 0.25
> >>is 0.75 times the probability that the node is near x = 0.50.
> >>
> >>Unfortunately, this result cannot be extended to 2 dimensions by
> >>taking the product of this term for the x and y directions, because
> >>the x and y components of the node speed are not independent.
> >>
> >>Richard
> >>
> >>>----- Original Message -----
> >>>From: Peter Pham <[email-masked]>
> >>>To: MANET <[email-masked]>
> >>>Sent: Thursday, November 20, 2003 2:03 AM
> >>>Subject: [manet] Question regarding Mobility
> >>>
> >>>
> >>>>Hi all
> >>>>I am interested in modelling ad hoc networks. In the stationary
scenario
> >>>>(nodes do not move), I can assume that the mobile nodes are
distributed
> >>>>randomly according to Poisson distribution (many assumed so). However,
> >>>>is this assumption still valid under the mobility ?
> >>>>Can anyone give me some advice ?
> >>>>
> >>>>Peter Pham
> >>>>
> >>>>
> >>>>
> >>>>_______________________________________________
> >>>>manet mailing list
> >>>>[email-masked]
> >>>>https://www1.ietf.org/mailman/listinfo/manet
> >>>>
> >>>
> >>>_______________________________________________
> >>>manet mailing list
> >>>[email-masked]
> >>>https://www1.ietf.org/mailman/listinfo/manet
> >>>
> >>
> >
> >
> >_______________________________________________
> >manet mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/manet
> >
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Richard Ogier <[email-masked]>
Date: Tue, 25 Nov 2003 09:02:45 -0800

Philippe,

Someone asked me about a proof that the random-walk billiards model results
in uniformly distributed node positions.  (This is the model in which a node
moves in a random direction for T seconds, bouncing off boundaries
like a billiards ball, and choosing a new random direction after T seconds.)
I think this is fairly intuitive, by considering what happens if the 
node instead
goes straight through the boundary into an equivalent region adjacent to
the original region.  But is this result well known?   Can anyone point
to a reference for this?

Richard

Philippe Jacquet wrote:

>Richard,
>
>My mistake, you are right. I was considering the case where the node reaches
>tried to compute the formula for the density in two dimensions. Not really
>fun. For x>y and (1-x)>y it should be proportional to j(x,y)+j(1-x,y) with a
>normalizing factor, with
>I made the integration over all angle of the product of the two distances of
>>>depends on the mobility model. Take the random way point model where each
>>>*( x* log x+(1-x)*log(1-x))*(y*log y +(1-y)*log(1-y)) which differs from
>>I ran a simulation on the unit interval [0,1] which confirms this result.
>>>>I am interested in modelling ad hoc networks. In the stationary scenario
>>>>(nodes do not move), I can assume that the mobile nodes are distributed

---

From: "Philippe Jacquet" <[email-masked]>
Date: Fri, 21 Nov 2003 11:05:34 +0100

Basically I am not aware of publications, these are easy derviations, you
can write the proof on the corner of a table...

Philippe
----- Original Message -----
From: Peter Pham <[email-masked]>
To: Philippe Jacquet <[email-masked]>
Cc: MANET <[email-masked]>
Sent: Friday, November 21, 2003 1:11 AM
Subject: Re: [manet] Question regarding Mobility

> Dear Philippe
>
> I am really intersted in the result. Is there any papers on this that
> you can refer to ?...Can you let me know ?
>
> Cheers
> Peter Pham
>
> Philippe Jacquet wrote:
>
this